Skip to main content
POST
/
v1
/
data-tables
/
{dataTableId}
/
data
Query Data Table Data
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/data-tables/{dataTableId}/data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    "<string>"
  ],
  "query": {},
  "page": 1,
  "pageSize": 50,
  "sort": {
    "field": "<string>",
    "direction": "ASC"
  },
  "excludeFields": [
    "<string>"
  ]
}
'
{
  "content": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataTableId
string
required

Body

application/json
fields
string[]
required

The data table fields to be included in the results.

Minimum string length: 1
Pattern: \s*\S+.*
query
object

The MindBridge QL query used to filter data in the data table.

page
integer<int32>

The specific page of results. This operates on a zero-based page index (0..N).

Required range: x >= 0
pageSize
integer<int32>

The number of results to be returned on each page.

Required range: 1 <= x <= 100
sort
object

Indicates how the data will be sorted.

Default sort order = ascending

excludeFields
string[]
Minimum string length: 1
Pattern: \s*\S+.*

Response

OK

content
object[]